# FeedReader Class Reference
[Feed's parsers]

List of all members.

## Public Member Functions

| __construct ()
| getXml ()
| parseFile ($file)
| parseXml ($xml)

## Static Public Member Functions

static | create ()

## Private Member Functions

| parse ()

## Private Attributes

| $xml = null
| $formats = array()

## Detailed Description

Definition at line 15 of file FeedReader.class.php.

## Constructor & Destructor Documentation

FeedReader::__construct | ( |  | ) |

Definition at line 28 of file FeedReader.class.php.

References RssFeedFormat::me(), AtomFeedFormat::me(), and YandexRssFeedFormat::me().

Here is the call graph for this function:

## Member Function Documentation

static FeedReader::create | ( |  | ) | `[static]`

Returns:
  FeedReader

Definition at line 23 of file FeedReader.class.php.

FeedReader::getXml | ( |  | ) |

Returns:
  SimpleXMLElement

Definition at line 38 of file FeedReader.class.php.

FeedReader::parse | ( |  | ) | `[private]`

Returns:
  FeedChannel

Definition at line 75 of file FeedReader.class.php.

Referenced by parseFile(), and parseXml().

FeedReader::parseFile | ( | $ | file | ) |

Returns:
  FeedChannel

Definition at line 46 of file FeedReader.class.php.

References parse().

Here is the call graph for this function:

FeedReader::parseXml | ( | $ | xml | ) |

Returns:
  FeedReader

Definition at line 65 of file FeedReader.class.php.

References $xml, and parse().

Here is the call graph for this function:

## Member Data Documentation

FeedReader::$formats = array()`[private]`

Definition at line 18 of file FeedReader.class.php.

FeedReader::$xml = null`[private]`

Definition at line 17 of file FeedReader.class.php.

Referenced by parseXml().

The documentation for this class was generated from the following file:

- main/Markup/Feed/FeedReader.class.php